<?php

/**
 * Users endpoint
 * /v1/usertypes
 *
 * @author 
 */

/**
 * Load configuration
 */
require_once('../../config.php');

/**
 * Load models
 */
require_once '../../lib/ModelBaseInterface.php';            // base interface class for RedBean models
require_once '../../lib/Model_Customers_v2.php';               // customer model

require_once "../../includes/CommonFunctions.php";

/**
 * Library objects
 */
use RedBean_Facade as R;
use Helpers\RedBeanHelper as RedBeanHelper;
use Helpers\PasswordHelper as PasswordHelper;
use Enumerations\HttpStatusCode as HttpStatusCode;
use Exceptions\ApiException as ApiException;
use Enumerations\AccountType as AccountType;
use Enumerations\StatusType as StatusType;
use Enumerations\ErrorCodeType as ErrorCodeType;
/**
 * Initialize application
 */
beaconApi::init(true);
$app = new \Slim\Slim();


/**
 * get user types
 * POST /v1/usertypes
 */
$app->get('/', function () use ($app) {

    try {

        // Create a http request
        $req = $app->request();

        /**
         * Get user types
         * @var Model_Customers $userTypes
         */
        $userTypes		= R::dispense('customers');
	    /**
         * List the user types
         */
	    $userTypesList	= $userTypes->getUserTypes();
        /**
         * user types list was made success
         */
		if($userTypesList != ''){
	        $response = new beaconApiResponse();
	        $response->setStatus(HttpStatusCode::Created);
	        $response->meta->dataPropertyName = 'usertypes';
			/**
	        * returning upon repsonse of city list
			*/
			$response->returnedObject 		= $userTypesList;
	        $response->addNotification("User types has been retrieved successfully");
	        echo $response;
		}
		else {
			/** 
			* Some error has occurred while creating receipts
			*/
			throw new ApiException("An error occurred while processing", ErrorCodeType::ErrorInProcessing);
		}
    }
    catch (ApiException $e){
        // If occurs any error message then goes here
        beaconApi::showError(
            $e,
            $e->getHttpStatusCode(),
            $e->getErrors()
        );
    }
    catch (\Slim\Exception\Stop $e){
        // If occurs any error message for slim framework then goes here
    }
    catch (Exception $e) {
        // If occurs any error message then goes here
        beaconApi::showError($e);
    }
});

/**
 * Start the Slim Application
 */

$app->run();

