<?php 
	set_time_limit(240);
	require_once('./includes/PEAR/Spreadsheet_Excel_Writer/Writer.php');
	require_once('includes/CommonIncludes.php');
	require_once('controllers/UserController.php');
	require_once('includes/CommonIncludes.php');
	$workbook = new Spreadsheet_Excel_Writer();
	$userObj		=  	new UserController();
	$fileName = 'Organization(s)';
	$workbook->send($fileName.'.xls');
    $worksheet=& $workbook->addWorksheet('Export');
	$worksheet->setLandscape();
	$numColumns 			= 300;
	$maxColumnWidth			= 10;
	$intermediateColumnWidth= 20;
	$minColumnWidth 		= 20;
	$worksheet->setColumn(0, 0, 5);
	$worksheet->setColumn(0, 1, 20);
	$worksheet->setColumn(0, 2, 15);
	$worksheet->setColumn(0, 3, 15);
	$worksheet->setColumn(0, 4, 15);
	$worksheet->setColumn(0, 5, 15);
	$worksheet->setColumn(0, 6, 15);
	$worksheet->setColumn(0, 7, 15);
	$worksheet->setColumn(0, 8, 15);
	$worksheet->setColumn(0, 9, 15);
	$worksheet->setColumn(0, 10, 15);
	$sheetTitleFormat 		=& $workbook->addFormat(array('bold'=>1,'size'=>10));
	$boldFormat				=& $workbook->addFormat(array('bold'=>1,'size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$TitleFormat			=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>12,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$columnTitleFormat		=& $workbook->addFormat(array('bold'=>1,'top'=>1,'bottom'=>1 ,'textWrap'=>1,'size'=>9,'left'=>1,'right'=>1,'color'=>'black','align'=>'center'));
	$regularFormat			=& $workbook->addFormat(array('size'=>9,'align'=>'left','textWrap'=>1,'bottom'=>1,'top'=>1,'left'=>1,'right'=>1));
	$mainTitleFormat		=& $workbook->addFormat(array('bold'=>1,'size'=>15));
	$mainsmallTitleFormat	=& $workbook->addFormat(array('bold'=>1,'size'=>12));
	
	$userType='';$organizationResult =array();
	$fields		=	" o.id,b.fkOrganizationId,b.BeaconType,count(b.id) as BeaconCount ";
	$condition	=	" o.Status = 1 AND b.Status in (0,1)";
	$countArray	=	$userObj->getBeaconCountList($fields,$condition);
	if(is_array($countArray) && !empty($countArray)) {
		foreach($countArray as $countkey => $countVal) {
			$beaconCount[$countVal->fkOrganizationId][$countVal->BeaconType] = $countVal->BeaconCount;
		}
	}
	$fields    	 = " * ";
	$condition 	 = " and Status = 1";
	$organizationResult  	= $userObj->getOrganizationList($fields,$condition);
	
	$row	=	0;
	$column =	0;
	$lastcolumn	=	10;
	$worksheet->setMerge($row,$column,$row,$lastcolumn);
	$worksheet->write($row, $column, 'Organizations List', $TitleFormat);
	$row	=	1;
	$column =	0;
	$worksheet->write($row, $column, '#', $columnTitleFormat);
	$column =	1;
	$worksheet->write($row, $column, 'Organization Name', $columnTitleFormat);
	$column =	2;
	$worksheet->write($row, $column, 'Traffic Beacon', $columnTitleFormat);
	$column =	3;
	$worksheet->write($row, $column, 'Virtual Beacon', $columnTitleFormat);
	$column =	4;
	$worksheet->write($row, $column, 'Regular Beacon', $columnTitleFormat);
	$column =	5;
	$worksheet->write($row, $column, 'Open Door Beacon', $columnTitleFormat);
	$column =	6;
	$worksheet->write($row, $column, 'Custom Beacon', $columnTitleFormat);
	$column =	7;
	$worksheet->write($row, $column, 'Ibeacon Major', $columnTitleFormat);
	$column =	8;	
	$worksheet->write($row, $column, 'Traffic City ID', $columnTitleFormat);
	$column =	9;
	$worksheet->write($row, $column, 'Open Door Major', $columnTitleFormat);
	$column =	10;
	$worksheet->write($row, $column, 'Custom Major ', $columnTitleFormat);
	if(isset($organizationResult) && is_array($organizationResult) && count($organizationResult) > 0 ) {
		foreach($organizationResult as $key => $value) { 
			$row++;
			$column =	0;
			$worksheet->write($row, $column, (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1, $columnTitleFormat);
			$column =	1;
			if(isset($value->OrganizationName) && $value->OrganizationName != '') 
				$org_name= ucfirst($value->OrganizationName); 
			else 
				$org_name = '-';
			$worksheet->write($row, $column, $org_name , $columnTitleFormat);
			$column =	2;
			if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][3])) 
				$beacon1	= $beaconCount[$value->id][3]; 
			else 
				$beacon1 = '0';
			$worksheet->write($row, $column, $beacon1 , $columnTitleFormat);
			$column =	3;
			if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][2])) 
				$beacon2	= $beaconCount[$value->id][2]; 
			else 
				$beacon2 = '0';
			$worksheet->write($row, $column, $beacon2 , $columnTitleFormat);
			$column =	4;
			if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][1])) 
				$beacon3	= $beaconCount[$value->id][1]; 
			else 
				$beacon3 = '0';
			$worksheet->write($row, $column, $beacon3 , $columnTitleFormat);
			$column =	5;
			if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][4])) 
				$beacon4	= $beaconCount[$value->id][4]; 
			else 
				$beacon4 = '0';
			$worksheet->write($row, $column, $beacon4 , $columnTitleFormat);
			$column =	6;
			if(isset($beaconCount[$value->id]) && isset($beaconCount[$value->id][5])) 
				$beacon5	= $beaconCount[$value->id][5]; 
			else 
				$beacon5 = '0';
			$worksheet->write($row, $column, $beacon5 , $columnTitleFormat);
			$column =	7;
			if(isset($value->IsIbeacon) && $value->IsIbeacon == 1) 
				$IsIbeacon	= $value->MajorFrom.' - '.$value->MajorTo;
			else 
				$IsIbeacon = '-';
			$worksheet->write($row, $column, $IsIbeacon , $columnTitleFormat);
			$column =	8;
			if(isset($value->IsTraffic) && $value->IsTraffic == 1) 
				$istraffic	= $value->trafficMajorFrom.' - '.$value->trafficMajorTo;
			else 
				$istraffic = '-';
			$worksheet->write($row, $column, $istraffic , $columnTitleFormat);
			$column =	9;
			if(isset($value->IsOpenDoor) && $value->IsOpenDoor == 1) 
				$IsOpenDoor	= $value->OpendoorMajorFrom.' - '.$value->OpendoorMajorTo; 
			else 
				$IsOpenDoor = '-';
			$worksheet->write($row, $column, $IsOpenDoor , $columnTitleFormat);
			$column =	10;
			if(isset($value->IsCustom) && $value->IsCustom == 1) 
				$IsCustom	= $value->CustomMajorFrom.' - '.$value->CustomMajorTo; 
			else 
				$IsCustom = '-';
			$worksheet->write($row, $column, $IsCustom , $columnTitleFormat);
			
		}
	}
	else { 
		$row	=	2;
		$column =	0;
		$lastcolumn	=	7;
		$worksheet->setMerge($row,$column,$row,$lastcolumn);
		$worksheet->write($row, $column, 'No Organization found', $columnTitleFormat);
	} 
	$workbook->close();
?>